Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QSsl.SslProtocol

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QSsl.SslProtocol

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  QSsl

    public static final class QSsl.SslProtocol

extends java.lang.Enum
implements QtEnumerator

Describes the protocol of the cipher. Note: most servers using SSL understand both versions (2 and 3), but it is recommended to use the latest version only for security reasons. However, SSL and TLS are not compatible with each other: if you get unexpected handshake failures, verify that you chose the correct setting for your protocol.

See Also:
  Serialized Form

Field Summary
`static QSsl.SslProtocol` | `AnyProtocol` The socket understands SSLv2, SSLv3, and TLSv1.
`static QSsl.SslProtocol` | `SslV2` SSLv2
`static QSsl.SslProtocol` | `SslV3` SSLv3 - the default protocol.
`static QSsl.SslProtocol` | `TlsV1` TLSv1
`static QSsl.SslProtocol` | `UnknownProtocol` The cipher's protocol cannot be determined.

Method Summary
`static QSsl.SslProtocol` | `resolve(int value)` Returns the SslProtocol constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSsl.SslProtocol` | `valueOf(java.lang.String name)`
`static QSsl.SslProtocol[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SslV3

    public static final QSsl.SslProtocol SslV3

  SSLv3 - the default protocol.

### SslV2

    public static final QSsl.SslProtocol SslV2

  SSLv2

### TlsV1

    public static final QSsl.SslProtocol TlsV1

  TLSv1

### AnyProtocol

    public static final QSsl.SslProtocol AnyProtocol

  The socket understands SSLv2, SSLv3, and TLSv1. This value is used by QSslSocket only.

### UnknownProtocol

    public static final QSsl.SslProtocol UnknownProtocol

  The cipher's protocol cannot be determined.

Method Detail

### values

    public static QSsl.SslProtocol[] values()

### valueOf

    public static QSsl.SslProtocol valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSsl.SslProtocol resolve(int value)

  Returns the SslProtocol constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD